Subject: [Uri-review] FWD: I-D Action: draft-yevstifeyev-ftp-uri-scheme-05.txt

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 31 Jul 2011 07:39:31 +0300

Hello,

Sorry for cross-posting to 6 addresses :-); please send all your 
comments to [email-masked].  Note to public-iri subscribers: 
please have a look at Section 6.  Note to [email-masked] subscribers: 
please comment Appendix A of the document.  (The link to HTML version: 
http://tools.ietf.org/html/draft-yevstifeyev-ftp-uri-scheme.)

Thanks,
Mykyta Yevstifeyev

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
> 	Title           : The&#39;ftp&#39; URI Scheme
> 	Author(s)       : Mykyta Yevstifeyev
> 	Filename        : draft-yevstifeyev-ftp-uri-scheme-05.txt
> 	Pages           : 29
> 	Date            : 2011-07-24
>
>     This document specifies the&#39;ftp&#39; Uniform Resource Identifier (URI)
>     scheme, which is used to refer to resources accessible via File
>     Transfer Protocol (FTP).  It updates RFC 959 and RFC 1738.
>
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-yevstifeyev-ftp-uri-scheme-05.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> This Internet-Draft can be retrieved at:
> ftp://ftp.ietf.org/internet-drafts/draft-yevstifeyev-ftp-uri-scheme-05.txt

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 31 Jul 2011 12:59:23 +0300

31.07.2011 11:38, John Cowan wrote:
> Mykyta Yevstifeyev scripsit:
>
>> Sorry for cross-posting to 6 addresses :-); please send
>> all your comments to [email-masked].  Note to
>> public-iri subscribers: please have a look at Section
>> 6.  Note to [email-masked] subscribers: please comment
>> Appendix A of the document.  (The link to HTML version:
> It's inappropriate to say that the client SHALL request a password
> from the user if none is supplied and the server demands one (and
> likewise for accounts).  The client must be free to fail under such
> circumstances, as it may be a robot or otherwise not have a user
> available.  Likewise with SHALL notify the user, etc.  These should be
> changed to MAYs or SHOULDs.

I think such occurrences of SHALL will be replaced with SHOULD or 
non-normative "should".  (I don't think 'ftp' URIs will be used with 
applications that have no UI; so I don't see reasons to assume they will 
be used in such way.  But, anyway, your comment regarding SHALL is 
reasonable).

>
> Editorial notes:  Lots of people don't know what "ibidem" means, or even
> its standard abbreviation "ibid".  I suggest changing the first instance
> to "in RFC 959", the second instance to "below", and the third instance
> to "in the<cwd>".

I'll make the following corrections: 1st instance - "in RFC 959" (as 
currently), 2nd one - "in the same document", 3rd one (I guess this is 
regarding ASCII) - "in RFC 959".

>
> Note error "internalization" for "internationalization", "internalized"
> for "internationalized", etc.

Fixed now.

>
> Note persistent typo "exmaple.com" for "example.com".

ACK.  Thanks for reading the document.  Mykyta